org.apache.http.params

## Class HttpConnectionParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.params.HttpConnectionParamBean

- Deprecated.
  (4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

      @Deprecated
      public class HttpConnectionParamBean
      extends HttpAbstractParamBean

  This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP connection parameters using Java Beans conventions.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

      `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpConnectionParamBean(HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setConnectionTimeout(int connectionTimeout)` Deprecated.
    `void` | `setLinger(int linger)` Deprecated.
    `void` | `setSocketBufferSize(int socketBufferSize)` Deprecated.
    `void` | `setSoTimeout(int soTimeout)` Deprecated.
    `void` | `setStaleCheckingEnabled(boolean staleCheckingEnabled)` Deprecated.
    `void` | `setTcpNoDelay(boolean tcpNoDelay)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnectionParamBean

          public HttpConnectionParamBean(HttpParams params)

      Deprecated.

  - ### Method Detail

    - #### setSoTimeout

          public void setSoTimeout(int soTimeout)

      Deprecated.

    - #### setTcpNoDelay

          public void setTcpNoDelay(boolean tcpNoDelay)

      Deprecated.

    - #### setSocketBufferSize

          public void setSocketBufferSize(int socketBufferSize)

      Deprecated.

    - #### setLinger

          public void setLinger(int linger)

      Deprecated.

    - #### setConnectionTimeout

          public void setConnectionTimeout(int connectionTimeout)

      Deprecated.

    - #### setStaleCheckingEnabled

          public void setStaleCheckingEnabled(boolean staleCheckingEnabled)

      Deprecated.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.